# Uses of Class
com.ngrok.definitions.EndpointWebsocketTcpConverter

Packages that use EndpointWebsocketTcpConverter
Package
Description
com.ngrok.definitions
com.ngrok.services

- ## Uses of EndpointWebsocketTcpConverter in com.ngrok.definitions

  Methods in com.ngrok.definitions that return EndpointWebsocketTcpConverter
  Modifier and Type
  Method
  Description
  `EndpointWebsocketTcpConverter`
  EndpointWebsocketTcpConverter.Builder.`build()`
  Constructs the `EndpointWebsocketTcpConverter` instance.
  Methods in com.ngrok.definitions that return types with arguments of type EndpointWebsocketTcpConverter
  Modifier and Type
  Method
  Description
  `Optional<EndpointWebsocketTcpConverter>`
  HttpsEdgeRoute.`getWebsocketTcpConverter()`
  websocket to tcp adapter configuration or `null`

- ## Uses of EndpointWebsocketTcpConverter in com.ngrok.services

  Methods in com.ngrok.services that return EndpointWebsocketTcpConverter
  Modifier and Type
  Method
  Description
  `EndpointWebsocketTcpConverter`
  EdgeRouteWebsocketTcpConverterModule.GetCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  `EndpointWebsocketTcpConverter`
  EdgeRouteWebsocketTcpConverterModule.ReplaceCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  Methods in com.ngrok.services that return types with arguments of type EndpointWebsocketTcpConverter
  Modifier and Type
  Method
  Description
  `CompletionStage<EndpointWebsocketTcpConverter>`
  EdgeRouteWebsocketTcpConverterModule.GetCallBuilder.`call()`
  Initiates the API call asynchronously.
  `CompletionStage<EndpointWebsocketTcpConverter>`
  EdgeRouteWebsocketTcpConverterModule.ReplaceCallBuilder.`call()`
  Initiates the API call asynchronously.
  Methods in com.ngrok.services with parameters of type EndpointWebsocketTcpConverter
  Modifier and Type
  Method
  Description
  `EdgeRouteWebsocketTcpConverterModule.ReplaceCallBuilder`
  EdgeRouteWebsocketTcpConverterModule.ReplaceCallBuilder.`module(EndpointWebsocketTcpConverter module)`
  Sets the `module` parameter.
  `EdgesHttpsRoutes.CreateCallBuilder`
  EdgesHttpsRoutes.CreateCallBuilder.`websocketTcpConverter(EndpointWebsocketTcpConverter websocketTcpConverter)`
  websocket to tcp adapter configuration or `null`
  `EdgesHttpsRoutes.UpdateCallBuilder`
  EdgesHttpsRoutes.UpdateCallBuilder.`websocketTcpConverter(EndpointWebsocketTcpConverter websocketTcpConverter)`
  websocket to tcp adapter configuration or `null`
  Method parameters in com.ngrok.services with type arguments of type EndpointWebsocketTcpConverter
  Modifier and Type
  Method
  Description
  `EdgeRouteWebsocketTcpConverterModule.ReplaceCallBuilder`
  EdgeRouteWebsocketTcpConverterModule.ReplaceCallBuilder.`module(Optional<EndpointWebsocketTcpConverter> module)`
  Sets (or unsets) the `module` parameter.
  `EdgesHttpsRoutes.CreateCallBuilder`
  EdgesHttpsRoutes.CreateCallBuilder.`websocketTcpConverter(Optional<EndpointWebsocketTcpConverter> websocketTcpConverter)`
  websocket to tcp adapter configuration or `null`
  `EdgesHttpsRoutes.UpdateCallBuilder`
  EdgesHttpsRoutes.UpdateCallBuilder.`websocketTcpConverter(Optional<EndpointWebsocketTcpConverter> websocketTcpConverter)`
  websocket to tcp adapter configuration or `null`